﻿using Microsoft.AspNetCore.Builder;
using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.DependencyInjection;
using System;
using System.Collections.Generic;
using System.Reflection;

namespace Falcon.SugarApi.ApiDefinistions
{
    /// <summary>
    /// 模块注册接口
    /// </summary>
    public interface IModuleRegister
    {
        /// <summary>
        /// 服务注册
        /// </summary>
        /// <param name="services">服务结合</param>
        /// <param name="configuration">配置</param>
        /// <returns>服务集合</returns>
        public IServiceCollection ServiceRegister(IServiceCollection services,IConfiguration configuration);

        /// <summary>
        /// 应用注册
        /// </summary>
        /// <param name="application">应用创建器</param>
        /// <param name="configuration">配置</param>
        /// <returns>应用创建器</returns>
        public IApplicationBuilder ApplicationRegister(IApplicationBuilder application,IConfiguration configuration);
    }
}
