﻿using Microsoft.Extensions.Logging;
using SqlSugar;
using System;

namespace Falcon.SugarApi.DatabaseManager
{
    /// <summary>
    /// 连接配置
    /// </summary>
    public class ConnectionConfigWallpaper:ConnectionConfig
    {
        /// <summary>
        /// 构造连接配置
        /// </summary>
        /// <param name="def">数据库定义</param>
        public ConnectionConfigWallpaper(DatabaseDefines def) {
            base.ConfigId = def.Name;
            base.ConnectionString = def.ConnectionString;

            foreach(var dt in Enum.GetNames(typeof(DbType))) {
                if(dt.ToLower() == def.DbType.ToLower()) {
                    base.DbType = (DbType)Enum.Parse(typeof(DbType),dt);
                    break;
                }
            }
            base.IsAutoCloseConnection = true;
            base.InitKeyType = InitKeyType.Attribute;
        }
    }

}
